Joomla GGPKG_PLUGIN_ERROR_HTML5_REQUIRED

Everything concerning the Wordpress/Joomla/Drupal plugins
Post Reply
trev
Posts: 19
Joined: Tue Sep 14, 2010 11:29 am
Location: Hampshire, UK

Joomla GGPKG_PLUGIN_ERROR_HTML5_REQUIRED

Post by trev » Wed Mar 26, 2014 3:21 pm

Tip: if you receive this error make sure there are no undercscores in the package name.

my_pano.ggpkg causes error
mypano.ggpkg is OK

Trevor

pbdemoulin
Posts: 3
Joined: Tue Jul 15, 2014 12:13 pm

Re: Joomla GGPKG_PLUGIN_ERROR_HTML5_REQUIRED

Post by pbdemoulin » Tue Jul 15, 2014 2:13 pm

Hi,

I'm new with this plugin, though, I have created several Joomla site and making panos since 1998. Now I would like to integrate those two technics and Pano2VR seems to be the regerence for doing this. Unfortunately I have an issue.

I have installed the latest plugin for Joomla (1.2.0) and it is enabled. Joomla version is 3.2.4.
The ggpkg is named "bt.ggpkg" and is loaded through the Media Manager.
In my article I set {ggpkg file="bt.ggpkg"}
I tried as well with your test file "tour.gg/pkg"
{ggpkg file="tour.ggpkg"}
Both are giving the error message: GGPKG_PLUGIN_ERROR_HTML5_REQUIRED

When I do this on a fresh installation of Joomla, it doesn't help.
When I do this on a fresh installation of WP, it works (with WP plugin 1.2.0 :D and WP is 3.9.1)

Has someone an advice on what I have missed ?

Best regards,

User avatar
Hopki
Gnome
Posts: 9018
Joined: Thu Jan 10, 2008 3:16 pm
Location: Layer de la Haye, Essex UK
Contact:

Re: Joomla GGPKG_PLUGIN_ERROR_HTML5_REQUIRED

Post by Hopki » Fri Jul 18, 2014 1:01 pm

Hi,
Just checking do you have the K2 content extension?
If so the plugin and ggpkg's are not working, works fine with Joomla's own content management but K2 brakes it.
Regards,
Hopki

User avatar
Hopki
Gnome
Posts: 9018
Joined: Thu Jan 10, 2008 3:16 pm
Location: Layer de la Haye, Essex UK
Contact:

Re: Joomla GGPKG_PLUGIN_ERROR_HTML5_REQUIRED

Post by Hopki » Fri Jul 18, 2014 4:56 pm

Hi,
My host is having an issue with installing Joomla 3.0. Once I get that sorted I will have a look.
Sorry can do no more until then.
Would be good if anyone else can check the Joomla plugin :D
Regards,
Hopki

trev
Posts: 19
Joined: Tue Sep 14, 2010 11:29 am
Location: Hampshire, UK

Re: Joomla GGPKG_PLUGIN_ERROR_HTML5_REQUIRED

Post by trev » Fri Jul 18, 2014 5:09 pm

I have a website nearing completion using Joomla 3.3.1 running on a linux (Centos) server with PHP 5.4.29.
I have just added some panoramas using GGPKG without any issues.
Here they are in action: http://beaulieuchurches.org.uk/churches ... bey-church

I am not using K2 but I do use Akeeba Admin Tools and I needed to add an exception in the .htaccess maker as follows:
In the sections labelled: Allow direct access, including .php files, to these directories add the following: media/ggpkg

Regards
Trevor

User avatar
Hmmm
Posts: 18
Joined: Fri Mar 28, 2014 12:37 pm
Location: Spain

Re: Joomla GGPKG_PLUGIN_ERROR_HTML5_REQUIRED

Post by Hmmm » Sun Jul 20, 2014 7:21 pm

Hello, I created a tour with 6 panoramas on the local server that is perfect, but when you publish it in joomla 3.3 not find a way, because on the web is not seen or preview or the play button.
Sorry for my poor knowledge of English, but with "google translate" I think I'm still good.
Thank you, greetings.

pbdemoulin
Posts: 3
Joined: Tue Jul 15, 2014 12:13 pm

Re: Joomla GGPKG_PLUGIN_ERROR_HTML5_REQUIRED

Post by pbdemoulin » Wed Jul 23, 2014 10:42 pm

Hello,

Thank you for those answers. Nice pano, trev, btw. I really would like to be able to post the same kind of pano.
Hopki: I'm not using K2.
I have not used Akkeba yet, as I'm on a development environment. So I do not need special security and I do not have .htaccess file.
Would it mean that I should use one ? If so, can you shar an example ?
Is Akeeba admin tool free ?

I'm tthinking to externalize the VR in separate window through a link, but this is a poor solution as I bough Pano2VR due to the existence of the plugin.

Best regards,

User avatar
Hopki
Gnome
Posts: 9018
Joined: Thu Jan 10, 2008 3:16 pm
Location: Layer de la Haye, Essex UK
Contact:

Re: Joomla GGPKG_PLUGIN_ERROR_HTML5_REQUIRED

Post by Hopki » Thu Jul 24, 2014 2:26 pm

Hi pbdemoulin,
Finally got my joomla test site up and running.
It's a frog pano from a Ricoh Theta.
K2 seems to be a problem so would not use if you want to use the Plugin and ggpkg files.
Regards,
Hopki

pbdemoulin
Posts: 3
Joined: Tue Jul 15, 2014 12:13 pm

Re: Joomla GGPKG_PLUGIN_ERROR_HTML5_REQUIRED

Post by pbdemoulin » Thu Jul 24, 2014 4:01 pm

Hello Hopki,

Thank you for the test. I have not installed K2 on my Joomla site. And even from a new installation, no parameter, I got the issue.
What are the possible roots of the error message ?
- file not found ?
- If I rename the ggpkg file, does it impact the plugin (due to something embedded that should be consistent with the file name) ?
- place of the file / directory ?

any other points that I should look at ?

P.S. what is the Joomla and PHP version ?

Best regards,

User avatar
Hopki
Gnome
Posts: 9018
Joined: Thu Jan 10, 2008 3:16 pm
Location: Layer de la Haye, Essex UK
Contact:

Re: Joomla GGPKG_PLUGIN_ERROR_HTML5_REQUIRED

Post by Hopki » Thu Jul 24, 2014 4:20 pm

Hi,
My Joomla is the latest 3.3.1

Iv attached the frog pano I used and the code to put it in the post was:

Code: Select all

{ggpkg file="index.ggpkg" display_userdata="false" display_map="true"}
To turn the map off just set the map to false.

Regards,
Hopki
Attachments
index.ggpkg
(2.23 MiB) Downloaded 178 times

Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests